Skip to main content
Resource Center/Hardware/Primary Storage Operations/XStor Block Primary Storage Operations
PUTXStor Block Primary Storage OperationsSince 4.8.0SynchronousAuth Required

UpdateBlockPrimaryStorage

UpdateBlockPrimaryStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vendorNameString

      Optional. The storage vendor name.

    • metadataString

      Optional. The storage metadata.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryBlockPrimaryStorageInventoryRequired

    For detailed version, see inventory.

    • vendorNameStringRequired

      The storage vendor name.

    • metadataStringRequired

      The storage metadata.

    • uuidStringRequired

      The resource UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed information of the resource.

    • totalCapacityLongRequired

      The total capacity.

    • availableCapacityLongRequired

      The available capacity.

    • totalPhysicalCapacityLongRequired

      总物理空间

    • availablePhysicalCapacityLongRequired

      The available physical capacity.

    • systemUsedCapacityLongRequired

      The system used capacity.

    • typeStringRequired

      The primary storage type.

    • stateStringRequired

      The running state.

    • statusStringRequired

      The connection status.

    • mountPathStringRequired

      mount路径。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      The cluster attached to.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, seeerror

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/primary-storage/block/{uuid}/actions

/zstack/v1/primary-storage/block/{uuid}/actions

Operation ID

UpdateBlockPrimaryStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/primary-storage/block/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vendorName":"<vendorName>","metadata":"<metadata>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vendorName": "XStor", "metadata": "{\u0027ip\u0027:\u0027127.0.0.1\u0027, \u0027port\u0027:8443, \u0027user\u0027:\u0027test\u0027, \u0027password\u0027:\u0027password\u0027}", "uuid": "c85e957b4b4b3f949494275d443c9807", "name": "block primary storage", "description": "block primary storage description", "availableCapacity": 1073741824, "availablePhysicalCapacity": 1073741824, "type": "BlockStorage", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history